package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Limchg;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitzsqStoreBo extends BaseTransactionVo {
    private Limchg limchg;
    private Nidgrp nidgrp;

    @Override
    public void reset(){
        super.reset();
        if(limchg == null){
            limchg =new Limchg();
        }
        limchg.reset();
        if (nidgrp == null){
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
    }
}
